# general info
NAME="bzip2"
DESC="Freely available, patent free, high-quality data compressor"
VERSION="1.0.8"

# required files
FILES=(
  "https://www.sourceware.org/pub/bzip2/bzip2-${VERSION}.tar.gz"
  "bzip2-${VERSION}-install_docs-1.patch"
)
HASHES=(
  "67e051268d0c475ea773822f7500d0e5"
  "6a5ac7e89b791aae556de0f745916f7f"
)

# install and build depends
DEPENDS=("glibc" "bash")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  patch -Np1 -i "../bzip2-${VERSION}-install_docs-1.patch"
  sed -i 's@\(ln -s -f \)$(PREFIX)/bin/@\1@' Makefile
  sed -i "s@(PREFIX)/man@(PREFIX)/share/man@g" Makefile

  make -f Makefile-libbz2_so CC="gcc $CFLAGS $CPPFLAGS $LDFLAGS"
  make bzip2 bzip2recover CC="gcc $CFLAGS $CPPFLAGS $LDFLAGS"

  install -dm755 "${ROOTDIR}"/usr/{bin,lib,include,share/man/man1}

  install -m755 bzip2-shared "${ROOTDIR}"/usr/bin/bzip2
  install -m755 bzip2recover bzdiff bzgrep bzmore "${ROOTDIR}"/usr/bin
  ln -sf bzip2 "${ROOTDIR}"/usr/bin/bunzip2
  ln -sf bzip2 "${ROOTDIR}"/usr/bin/bzcat

  cp -a libbz2.so* "${ROOTDIR}"/usr/lib
  ln -s "libbz2.so.${VERSION}" "${ROOTDIR}"/usr/lib/libbz2.so
  ln -s "libbz2.so.${VERSION}" "${ROOTDIR}"/usr/lib/libbz2.so.1

  install -m644 bzlib.h "${ROOTDIR}"/usr/include/

  install -m644 bzip2.1 "${ROOTDIR}"/usr/share/man/man1/
  ln -sf bzip2.1 "${ROOTDIR}"/usr/share/man/man1/bunzip2.1
  ln -sf bzip2.1 "${ROOTDIR}"/usr/share/man/man1/bzcat.1
  ln -sf bzip2.1 "${ROOTDIR}"/usr/share/man/man1/bzip2recover.1

  cd .. && rm -r "${NAME}-${VERSION}"
}
