# general info
NAME="gcc-libs"
DESC="Collection of compilers from the GNU Project (only libraries)"
VERSION="14.1.0"

# required files
FILES=("https://ftp.gnu.org/gnu/gcc/gcc-${VERSION}/gcc-${VERSION}.tar.xz")
HASHES=("e283c654987afe3de9d8080bc0bd79534b5ca0d681a73a11ff2b5d3767426840")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "gcc-${VERSION}.tar.xz"
  cd "gcc-${VERSION}"

  sed -e '/m64=/s/lib64/lib/' \
    -i.orig gcc/config/i386/t-linux64

  mkdir build && cd build

  ../configure --prefix=/usr  \
    LD=ld                     \
    --enable-languages=c,c++  \
    --enable-default-pie      \
    --enable-default-ssp      \
    --disable-multilib        \
    --disable-bootstrap       \
    --disable-fixincludes     \
    --with-system-zlib

  make && make DESTDIR="${ROOTDIR}" install

  # strip all the non-library stuff
  rm -rf "${ROOTDIR}/usr/bin"
  rm -rf "${ROOTDIR}/usr/libexec"
  rm -rf "${ROOTDIR}/usr/include"
  rm -rf "${ROOTDIR}/usr/lib/gcc"
  rm -rf "${ROOTDIR}/usr/share/gcc-${VERSION}"
  rm -rf "${ROOTDIR}/usr/share/gdb"
  rm -rf "${ROOTDIR}/usr/share/info"

  cd ../.. && rm -r "gcc-${VERSION}"
}
