# general info
NAME="glibc"
DESC="The GNU C libary"
VERSION="2.39"

# required files
FILES=(
  "https://ftp.gnu.org/gnu/glibc/glibc-${VERSION}.tar.xz"
  "glibc-${VERSION}-fhs-1.patch"
  "nsswitch.conf"
  "ld.so.conf"
  "locale-gen"
)
HASHES=(
  "be81e87f72b5ea2c0ffe2bedfeb680c6"
  "9a5997c3452909b1769918c759eff8a2"
  "23479afd5155e1220866a8ae79bd408739642559c8fd463694dffea1cfa7ad68"
  "c324c0577dde4e26c5469bbca0681c111b60c7b693c70ad40be96e36dbe84f04"
  "8c5cc09018cbd65e8570430f872e118caa2644e311d6200b7d5f0cba837fbba4"
)

# install and build depends
DEPENDS=("tzdata")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  patch -Np1 -i "../glibc-${VERSION}-fhs-1.patch"

  mkdir build && cd build

  echo "rootsbindir=/usr/sbin" > configparms
  ../configure --prefix=/usr                          \
             --disable-werror                         \
             --enable-kernel=4.14                     \
             --enable-stack-protector=strong          \
             --with-headers=/usr/include              \
             libc_cv_slibdir=/usr/lib && make

  install -dm755 "${ROOTDIR}/etc"
  touch "${ROOTDIR}/etc/ld.so.conf"

  sed '/test-installation/s@$(PERL)@echo not running@' -i ../Makefile
  make DESTDIR="${ROOTDIR}" install
  sed '/RTLDLIST=/s@/usr@@g' -i "${ROOTDIR}/usr/bin/ldd"

  cp ../nscd/nscd.conf "${ROOTDIR}/etc/nscd.conf"
  install -dm755 "${ROOTDIR}/var/cache/nscd"

  make DESTDIR="${ROOTDIR}" localedata/install-locales

  install -m644 "${ROOTDIR}/nsswitch.conf" "${ROOTDIR}/etc/nsswitch.conf"
  install -m644 "${ROOTDIR}/ld.so.conf" "${ROOTDIR}/etc/ld.so.conf"

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
