# general info
NAME="gnutls"
DESC="GNU Transport Layer Security library"
VERSION="3.8.3"

# required files
FILES=("https://www.gnupg.org/ftp/gcrypt/gnutls/v${VERSION%.*}/gnutls-${VERSION}.tar.xz")
HASHES=("269966167fa5bf8bae5f7534bcc3c454")

# install and build depends
DEPENDS=("nettle" "libunistring" "libtasn1" "p11-kit")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr                             \
            --docdir="/usr/share/doc/gnutls-${VERSION}" \
            --with-default-trust-store-pkcs11="pkcs11:"
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
