# general info
NAME="kbd"
DESC="Linux keyboard tools"
VERSION="2.6.4"

# required files
FILES=(
  "https://www.kernel.org/pub/linux/utils/kbd/kbd-${VERSION}.tar.xz"
  "kbd-${VERSION}-backspace-1.patch"
)
HASHES=(
  "e2fd7adccf6b1e98eb1ae8d5a1ce5762"
  "f75cca16a38da6caa7d52151f7136895"
)

# install and build depends
DEPENDS=("glibc" "linux-pam")
BUILD=("check")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  patch -Np1 -i "../kbd-${VERSION}-backspace-1.patch"
  sed -i '/RESIZECONS_PROGS=/s/yes/no/' configure
  sed -i 's/resizecons.8 //' docs/man/man8/Makefile.in

  ./configure --prefix=/usr --disable-vlock
  make
  make DESTDIR="${ROOTDIR}" install

  install -dm755 "${ROOTDIR}/usr/share/doc"
  cp -R -v docs/doc -T "${ROOTDIR}/usr/share/doc/kbd-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
