# general info
NAME="kmod"
DESC="Kernel module management tool"
VERSION="31"

# required files
FILES=("https://www.kernel.org/pub/linux/utils/kernel/kmod/kmod-${VERSION}.tar.xz")
HASHES=("6165867e1836d51795a11ea4762ff66a")

# install and build depends
DEPENDS=(
  "glibc" "openssl" "xz"
  "zlib" "zstd" "libelf"
  "linux"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr   \
            --sysconfdir=/etc \
            --with-openssl    \
            --with-xz         \
            --with-zstd       \
            --with-zlib
  make
  make DESTDIR="${ROOTDIR}" install

  install -dm755 "${ROOTDIR}/usr/sbin"

  for target in depmod insmod modinfo modprobe rmmod; do
    ln -sfv ../bin/kmod "${ROOTDIR}/usr/sbin/$target"
  done
  ln -sfv kmod "${ROOTDIR}/usr/bin/lsmod"

  cd .. && rm -r "${NAME}-${VERSION}"
}
