# general info
NAME="libxslt"
DESC="XSLT processor"
VERSION="1.1.42"

# required files
FILES=("https://download.gnome.org/sources/libxslt/${VERSION%.*}/libxslt-${VERSION}.tar.xz")
HASHES=("85ca62cac0d41fc77d3f6033da9df6fd73d20ea2fc18b0a3609ffb4110e1baeb")

# install and build depends
DEPENDS=(
  "bash" "glibc" "libgcrypt"
  "libxml2" "xz" "python3"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr                              \
            --disable-static                             \
            --docdir="/usr/share/doc/libxslt-${VERSION}" \
            PYTHON=/usr/bin/python3
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
