# general info
NAME="linux-pam"
DESC="Pluggable Authentication Modules for Linux "
VERSION="1.6.1"

# required files
FILES=(
  "https://github.com/linux-pam/linux-pam/releases/download/v${VERSION}/Linux-PAM-${VERSION}.tar.xz"
  "https://github.com/linux-pam/linux-pam/releases/download/v${VERSION}/Linux-PAM-${VERSION}-docs.tar.xz"
  "other"
  "system-account"
  "system-auth"
  "system-password"
  "system-session"
  "system-login"
)
HASHES=(
  "f8923c740159052d719dbfc2a2f81942d68dd34fcaf61c706a02c9b80feeef8e"
  "fd7b13b9993c94677e78e84d12387b8da104b5ba668eda3f17360abe4277e79c"
  "f687c87c8e70703d35658446d37a592ef9d5b5b87b4fb769764f501917d7c428"
  "a8295e4780b323cac83ca08c65c8cd47ca26e516d64ed857fd3f4ac1f1a8ccc4"
  "da912d0b5fe0ee9d70403ca88402974f2c24b6dfeb2c8adc037c72297a859590"
  "29ef099774837bf3fe01ef6b22fc87ac55bf222a4c0f8544d007f57b6aa4b61a"
  "5fbb7220de9d119e4e5551862ea516134ffc62d1b0695fe063add2774983753d"
  "41914ae772cced15ed195b97dc779a76175f639d27195ce59c1d300670505799"
)

# install and build depends
DEPENDS=(
  "libtirpc" "glibc" "libxcrypt"
  "libxcrypt" "libnsl"
)
BUILD=("flex")

PACKAGE(){
  tar xf "Linux-PAM-${VERSION}.tar.xz"
  cd "Linux-PAM-${VERSION}"

  tar -xf "${ROOTDIR}/Linux-PAM-${VERSION}-docs.tar.xz" --strip-components=1
  sed -e /service_DATA/d \
    -i modules/pam_namespace/Makefile.am
  autoreconf

  ./configure --prefix=/usr                      \
            --sbindir=/usr/sbin                  \
            --sysconfdir=/etc                    \
            --libdir=/usr/lib                    \
            --enable-securedir=/usr/lib/security \
            --docdir="/usr/share/doc/Linux-PAM-${VERSION}"
  make
  make DESTDIR="${ROOTDIR}" install

  install -dm755 "${ROOTDIR}/etc/pam.d"

  install -m644 "${ROOTDIR}/other"           "${ROOTDIR}/etc/pam.d"
  install -m644 "${ROOTDIR}/system-account"  "${ROOTDIR}/etc/pam.d"
  install -m644 "${ROOTDIR}/system-auth"     "${ROOTDIR}/etc/pam.d"
  install -m644 "${ROOTDIR}/system-session"  "${ROOTDIR}/etc/pam.d"
  install -m644 "${ROOTDIR}/system-password" "${ROOTDIR}/etc/pam.d"
  install -m644 "${ROOTDIR}/system-login"    "${ROOTDIR}/etc/pam.d"

  cd .. && rm -r "Linux-PAM-${VERSION}"
}
