# general info
NAME="lua"
DESC="Powerful and fast programming language"
VERSION="5.4.6"

# required files
FILES=(
  "https://www.lua.org/ftp/lua-${VERSION}.tar.gz"
  "lua-${VERSION}-shared_library-1.patch"
)
HASHES=(
  "25a429319dff20dfbfb9956c2b5be911"
  "44324a802822f0a35d095aaad2f5f58fa7b1821ae87ae44dbcfc8a23fcd2e67e"
)

# install and build depends
DEPENDS=("readline")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  cat > lua.pc << EOF
V=${VERSION%.*}
R=${VERSION}

prefix=/usr
INSTALL_BIN=i\${prefix}/bin
INSTALL_INC=\${prefix}/include
INSTALL_LIB=\${prefix}/lib
INSTALL_MAN=\${prefix}/share/man/man1
INSTALL_LMOD=\${prefix}/share/lua/${V}
INSTALL_CMOD=\${prefix}/lib/lua/${V}
exec_prefix=\${prefix}
libdir=\${exec_prefix}/lib
includedir=\${prefix}/include

Name: Lua
Description: An Extensible Extension Language
Version: \${R}
Requires:
Libs: -L\${libdir} -llua -lm -ldl
Cflags: -I\${includedir}
EOF

  patch -Np1 -i ../lua-${VERSION}-shared_library-1.patch
  make linux

  make INSTALL_TOP="${ROOTDIR}/usr"                                  \
     INSTALL_DATA="cp -d"                                            \
     INSTALL_MAN="${ROOTDIR}/usr/share/man/man1"                     \
     TO_LIB="liblua.so liblua.so.${VERSION%.*} liblua.so.${VERSION}" \
     install

  install -dm755 "${ROOTDIR}/usr/share/doc/lua-${VERSION}"
  cp -v doc/*.{html,css,gif,png} "${ROOTDIR}/usr/share/doc/lua-${VERSION}"
  install -v -m644 -D lua.pc "${ROOTDIR}/usr/lib/pkgconfig/lua.pc"

  cd .. && rm -r "${NAME}-${VERSION}"
}
