# general info
NAME="sqlite"
DESC="C-language library that implements a SQL database engine"
VERSION="3460000"

# required files
FILES=(
  "https://sqlite.org/2024/sqlite-autoconf-${VERSION}.tar.gz"
  "https://sqlite.org/2024/sqlite-doc-${VERSION}.zip"
)
HASHES=(
  "6f8e6a7b335273748816f9b3b62bbdc372a889de8782d7f048c653a447417a7d"
  "5ec9651bbfab7d3bf0a295f4d9be7d861e9968ea993438f05b579d8a75fe1e6f"
)

# install and build depends
DEPENDS=("glibc" "readline" "zlib")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-autoconf-${VERSION}.tar.gz"
  cd "${NAME}-autoconf-${VERSION}"

  unzip -q ../sqlite-doc-${VERSION}.zip
  ./configure --prefix=/usr     \
            --disable-static  \
            --enable-fts{4,5} \
            CPPFLAGS="-DSQLITE_ENABLE_COLUMN_METADATA=1 \
                      -DSQLITE_ENABLE_UNLOCK_NOTIFY=1   \
                      -DSQLITE_ENABLE_DBSTAT_VTAB=1     \
                      -DSQLITE_SECURE_DELETE=1          \
                      -DSQLITE_ENABLE_FTS3_TOKENIZER=1"
  make
  make DESTDIR="${ROOTDIR}" install

  install -v -m755 -d "${ROOTDIR}/usr/share/doc/sqlite-${VERSION}"
  cp -v -R sqlite-doc-${VERSION}/* "${ROOTDIR}/usr/share/doc/sqlite-${VERSION}"

  cd .. && rm -r "${NAME}-autoconf-${VERSION}"
}
