# general info
NAME="tcl"
DESC="Tool Command Language"
VERSION="8.6.14"

# required files
FILES=(
  "https://downloads.sourceforge.net/tcl/tcl${VERSION}-src.tar.gz"
  "https://downloads.sourceforge.net/tcl/tcl${VERSION}-html.tar.gz"
)
HASHES=(
  "5880225babf7954c58d4fb0f5cf6279104ce1cd6aa9b71e9a6322540e1c4de66"
  "bfd319033beeeead986f46be0a3a3ef6ee35424770f7836dca45bbc0ba27ee5f"
)

# install and build depends
DEPENDS=("zlib")
BUILD=()

PACKAGE(){
  tar xf "${NAME}${VERSION}-src.tar.gz"
  cd "${NAME}${VERSION}"

  SRCDIR=$(pwd)
  cd unix
  ./configure --prefix=/usr         \
            --mandir=/usr/share/man

  make

  sed -e "s|${SRCDIR}/unix|/usr/lib|" \
    -e "s|${SRCDIR}|/usr/include|"    \
    -i tclConfig.sh

  sed -e "s|${SRCDIR}/unix/pkgs/tdbc1.1.7|/usr/lib/tdbc1.1.7|" \
    -e "s|${SRCDIR}/pkgs/tdbc1.1.7/generic|/usr/include|"      \
    -e "s|${SRCDIR}/pkgs/tdbc1.1.7/library|/usr/lib/tcl8.6|"   \
    -e "s|${SRCDIR}/pkgs/tdbc1.1.7|/usr/include|"              \
    -i pkgs/tdbc1.1.7/tdbcConfig.sh

  sed -e "s|${SRCDIR}/unix/pkgs/itcl4.2.4|/usr/lib/itcl4.2.4|" \
    -e "s|${SRCDIR}/pkgs/itcl4.2.4/generic|/usr/include|"      \
    -e "s|${SRCDIR}/pkgs/itcl4.2.4|/usr/include|"              \
    -i pkgs/itcl4.2.4/itclConfig.sh

  unset SRCDIR

  make DESTDIR="${ROOTDIR}" install
  chmod -v u+w "${ROOTDIR}/usr/lib/libtcl${VERSION%.*}.so"
  make DESTDIR="${ROOTDIR}" install-private-headers
  ln -sfv "tclsh${VERSION%.*}" "${ROOTDIR}/usr/bin/tclsh"
  mv "${ROOTDIR}/usr/share/man/man3/"{Thread,Tcl_Thread}.3

  cd ..
  tar -xf "../tcl${VERSION}-html.tar.gz" --strip-components=1
  install -v -dm755 "${ROOTDIR}/usr/share/doc/tcl-${VERSION}"
  cp -v -r ./html/* "${ROOTDIR}/usr/share/doc/tcl-${VERSION}"

  cd .. && rm -r "${NAME}${VERSION}"
}
