# general info
NAME="util-linux"
DESC="Random collection of Linux utilities"
VERSION="2.40.2"

# required files
FILES=("https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v${VERSION%.*}/util-linux-${VERSION}.tar.gz")
HASHES=("7bec316b713a14c6be1a5721aa0e56a3b6170277329e6e1f1a56013cc91eece0")

# install and build depends
DEPENDS=(
  "coreutils" "file" "glibc" 
  "libcap" "libxcrypt" "ncurses"
  "systemd" "linux-pam" "zlib"
)
BUILD=("meson" "sqlite" "python3")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  sed -i '/test_mkfds/s/^/#/' tests/helpers/Makemodule.am
  ./configure --bindir=/usr/bin    \
            --libdir=/usr/lib    \
            --runstatedir=/run   \
            --sbindir=/usr/sbin  \
            --disable-chfn-chsh  \
            --disable-login      \
            --disable-nologin    \
            --disable-su         \
            --disable-setpriv    \
            --disable-runuser    \
            --disable-pylibmount \
            --disable-static     \
            --without-python     \
            ADJTIME_PATH=/var/lib/hwclock/adjtime \
            --docdir="/usr/share/doc/util-linux-${VERSION}"
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
